Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86307 - Netlogon causes DoS since upgrade to latest update
Summary: Netlogon causes DoS since upgrade to latest update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: samba
Version: 7.2
Hardware: athlon
OS: Linux
high
high
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL:
Whiteboard:
: 87969 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-19 10:58 UTC by Peter Surda
Modified: 2014-08-31 23:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-07 18:38:29 UTC


Attachments (Terms of Use)
Extracted from samba.org's patch 2.2.7->2.2.7a (deleted)
2003-03-19 11:00 UTC, Peter Surda
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:137 high SHIPPED_LIVE : New samba packages fix security vulnerability 2003-04-08 04:00:00 UTC
Red Hat Product Errata RHSA-2003:138 high SHIPPED_LIVE Critical: samba security update 2003-04-07 04:00:00 UTC

Description Peter Surda 2003-03-19 10:58:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20030102

Description of problem:
I upgraded to latest samba last night, and since then netlogon stopped working,
it causes smbd to start eating lots of CPU. Logs say (repeatedly many times per
second):

[2003/03/19 11:10:01, 0] lib/util_str.c:string_sub(1217)
  ERROR: string overflow by 1 in string_sub(%g, 7)

This comes from having
logon script = %g.bat
in smb.conf

I traced this to probably be a known error fixed in 2.2.7a. I extracted the fix
from the patch from samba.org and am rebuilding the RPM now to see if it helps.

Version-Release number of selected component (if applicable):
samba-2.2.7-2.7.2

How reproducible:
Always

Steps to Reproduce:
1. put something in logon script
2. start samba
3. any machine trying to login should trigger the bug
    

Actual Results:  Samba starts logging lots of errors (see above) and eat lots of
CPU. People report they can't login.

Expected Results:  There should be no errors.

Additional info:

I'm waiting for the rebuild to complete, will report later.

Comment 1 Peter Surda 2003-03-19 11:00:42 UTC
Created attachment 90658 [details]
Extracted from samba.org's patch 2.2.7->2.2.7a

This should fix the bug, I'm testing right now.

Comment 2 Peter Surda 2003-03-19 11:03:56 UTC
Ok, the test was sucessful, people report netlogon working, I don't get any more
errors and smbd isn't DoSed anymore. Please apply.

Comment 3 Mark J. Cox 2003-04-07 18:38:29 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-138.html


Comment 4 Daniel F. Dickinson 2003-04-15 02:13:25 UTC
*** Bug 87969 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.